﻿using System.ComponentModel.DataAnnotations.Schema;

namespace UnivateProperties_API.Model.Properties
{
    public class PropertyUserField : BaseEntity
    {
        #region Properties 
        [ForeignKey("Property")]
        public int PropertyId { get; set; }
        [ForeignKey("UserDefinedField")]
        public int UserDefinedFieldId { get; set; }
        public string Value { get; set; }
        public string Description { get; set; }

        public virtual Property Property { get; set; }
        public virtual UserDefinedField UserDefinedField { get; set; }
        #endregion 
    }
}
