﻿using System;
using System.Collections.Generic;
using UnivateProperties_API.Containers.Property;
using UnivateProperties_API.Model.Properties;

namespace UnivateProperties_API.Repository.Properties
{
    public interface IPropertyRepository : IRepository<Property>
    {
        List<PropertyDisplay> GetDisplay();
        List<PropertyDisplay> GetDisplay(Func<Property, bool> where);
        List<PropertyDisplay> GetDisplay(string Keyword);
        List<PropertyDisplay> GetDisplay(string type, string propertyType, string province, string city, string suburb, string propType);
        List<PropertyDisplay> GetLatestDisplay();
        List<PropertyType> GetPropertyTypes(Func<PropertyType, bool> where);
        List<PropertyList> GetPropertyList(Func<Property, bool> where);
    }
}
